Subject: Re: bug#16885: Not recognizing FAT32 partition

From: Phillip Susi <[email-masked]>
Date: Thu, 27 Feb 2014 20:43:33 -0500

Let's have a look at your boot sector... please run sudo dd
if=/dev/sdc14 count=1 | xxd.

On 02/27/2014 03:40 AM, Edward Diener wrote:
> As a follow up to my report, here is the 'parted' display for the
> disk in which the FAT32 partition is not being recognized using
> 'parted 3.1'.
> 
> Model: ATA WDC WD20EARX-00P (scsi) Disk /dev/sdc: 2000GB Sector
> size (logical/physical): 512B/4096B Partition Table: msdos Disk
> Flags:
> 
> Number  Start   End     Size    Type      File system     Flags 1
> 2065kB  767GB   767GB   extended                  lba 5      2097kB
> 53.7GB  53.7GB  logical   ext4 6      53.7GB  107GB   53.7GB
> logical   ext3 7      107GB   161GB   53.7GB  logical   ext4 8
> 161GB   215GB   53.7GB  logical   ext3 9      215GB   269GB
> 53.7GB  logical   ext4 10      269GB   321GB   52.4GB  logical
> ext3 11      321GB   373GB   52.4GB  logical   ext4 12      373GB
> 426GB   52.4GB  logical   ext3 13      426GB   485GB   59.6GB
> logical   ext3 14      485GB   540GB   55.1GB  logical 15
> 540GB   557GB   16.8GB  logical   linux-swap(v1) 16      557GB
> 610GB   52.5GB  logical   ext4 17      610GB   663GB   53.7GB
> logical   ext4 18      663GB   716GB   52.4GB  logical   ext4 19
> 716GB   767GB   51.2GB  logical   ext4 2      1680GB  2000GB  320GB
> primary   ntfs            boot, hidden
> 
> The FAT32 partition is Number 14. The drive is /dev/sdc on Fedora
> 20. If more information is wanted, please ask.
> 
> 
>